# Generated by Django 4.0.6 on 2022-08-02 07:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0021_remove_friendlybet_p1decision_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='FriendlyBetRequest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('friendlybet_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bet', to='users.friendlybet')),
                ('from_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='from_user', to=settings.AUTH_USER_MODEL)),
                ('to_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='to_user', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
